#!/bin/sh
#
echo off

#
# get the instalaltion root directory required to 
# locate the WBMonitor install properties
#
echo 'Enter Installation Home Directory:'
read INSTALL_HOME
if [ -f $INSTALL_HOME/properties/WSCustomConstants.wbm.properties ]
then
  ANT=$WAS_HOME/bin/ws_ant.sh
  propfound=yes
else
  #
  # Bad Installation Home Directory
  #
  echo The Installation Home directory $INSTALL_HOME is invalid.
  echo If you installed both Monitor Server and Portal Dashboards then your 
  echo Installation Home is the Monitor Server '(WAS 6.1)' root
  echo example /opt/IBM/WebSphere/MonServer
  echo ...
  echo If you only installed Portal Dashboards then your 
  echo Installation Home is the Portal Server root
  echo example /opt/IBM/WebSphere/PortalServer
  echo
  exit 1
fi

#
# get the WAS root directory required to 
# locate an ANT execution environment
#
echo 'Enter WAS Home Directory:'
read WAS_HOME
if [ -f $WAS_HOME/bin/ws_ant.sh ]
then
  ANT=$WAS_HOME/bin/ws_ant.sh
  antfound=yes
elif [ -f $WAS_HOME/bin/ws_ant ] 
then
  ANT=$WAS_HOME/bin/ws_ant
else
  #
  # Bad WAS Home Directory
  #
  echo The WAS Home directory $WAS_HOME is invalid.
  echo If you installed both Monitor Server and Portal Dashboards then your 
  echo WAS Home is the Monitor Server '(WAS 6.1)' root
  echo example /opt/IBM/WebSphere/MonServer
  echo ...
  echo If you only installed Portal Dashboards then your 
  echo WAS Home is the Portal Server WAS '(6.0.2)' root
  echo example /opt/IBM/WebSphere/AppServer
  echo
  exit 1
fi


JAVA_HOME=${WAS_HOME}/java
CONF_ACTION_DIR=$PWD

#echo $INSTALL_HOME
#echo $WAS_HOME
#echo $JAVA_HOME
#echo $CONF_ACTION_DIR

#echo ANT=$ANT

#
# get the portal admin password required to install the portlets
#
echo 'Enter Portal Server Administarator password:'
read PORTAL_ADMIN_PASSWORD
  
cat wa.properties > run.properties
echo WAS_HOME=$WAS_HOME >> run.properties
echo was.install.root=$INSTALL_HOME >> run.properties
echo PORTAL_ADMIN_PASSWORD=$PORTAL_ADMIN_PASSWORD>> run.properties
  
$ANT -propertyfile run.properties -v -f $CONF_ACTION_DIR/40S_InstallDashboardPortlets.ant
$ANT -propertyfile run.properties -v -f $CONF_ACTION_DIR/50S_InstallABXDashboardPortlets.ant
rm -f run.properties

echo on
